<?php
namespace Incoviba\old\Inmobiliaria;

use Incoviba\Common\Alias\OldModel as Model;
use Incoviba\old\Common\Banco;

/**
 * @property int $id
 * @property Inmobiliaria $inmobiliaria
 * @property Banco $banco
 * @property string $cuenta
 */
class Cuenta extends Model
{
  public function inmobiliaria()
  {
    return $this->belongsTo(Inmobiliaria::class, 'inmobiliaria', 'rut')->findOne();
  }
  public function banco()
  {
    return $this->belongsTo(Banco::class, 'banco')->findOne();
  }
}
